//KL46Z try out
#include "mbed.h"
#include "TSISensor.h"
#include "MMA8451Q.h"
#include "MAG3110.h"
#include <cstdlib>
#include <iostream>

Serial pc(USBTX, USBRX);

TSISensor tsi;
MMA8451Q acc51(PTE25, PTE24, 0x1D<<1);
MAG3110 mag(PTE25, PTE24, 0x0E<<1);

PwmOut rled(PTE29);
PwmOut gled(PTD5);
AnalogIn lightSensor(PTE22);
DigitalIn sw1(PTC3);
DigitalIn sw3(PTC12);
//AnalogOut lcd03(PTB23);
//PwmOut lcd07(PTB7);


int main()
{
    using namespace std;
    
    float onTime = 1.0;
    float offTime = 0.0;
    float holdTime = 1.0;
    bool on = true;
    bool off = false;
    int magX = 0, magY = 0, magZ = 0;
    //lcd03.write(0.33);
    //lcd07.write(0.25);
    //lcd07.period_ms(10);
        
    while(true) {
                
        rled = onTime - abs(acc51.getAccX());
        gled = onTime - abs(acc51.getAccY());
        mag.getValues(&magX, &magY, &magZ);
        
//        cout << "MMA8451: " << acc51.getAccX() << "\t" << acc51.getAccY() << "\t" << acc51.getAccZ() << "\n\r" << endl;
//        cout << "MAG3110: " << magX << "\t" << magY << "\t" << magZ << "\n\r" << endl;
//        cout << "MAG3110: " << mag.getHeading() << "\n\r" << endl;
//        wait(holdTime);
        
        rled = tsi.readPercentage();
        gled = tsi.readPercentage();
        
//        cout << "Touch: " << tsi.readPercentage() << "\n\r" << endl;
//        cout << "SW1: " << sw1 << "\n\r" << endl;
//        cout << "SW3: " << sw3 << "\n\r" << endl;
//        cout << "Light Sensor: " << lightSensor << "\n\r" << endl;
        cout << acc51.getAccX();
        wait(holdTime);
    }
    return 0;
}
